package com.mosty.bkzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.bkzx.TbBkRyInsertDto;
import com.mosty.base.model.dto.bkzx.TbBkRyJudgeDto;
import com.mosty.base.model.entity.bkzx.TbBkRy;
import com.mosty.base.model.query.bkzx.TbBkRySearchDto;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author dw
 * @since 2022/7/13
 * 人员布控服务类
 **/
public interface TbBkRyService {

    @ApiOperation("新增布控人员")
    int addEntity(TbBkRyInsertDto dto);

    @ApiOperation("分页查询人员布控列表")
    IPage<TbBkRy> getPageList(TbBkRySearchDto dto);

    @ApiOperation("查询布控人员详情")
    TbBkRy getInfo(String id);

    @ApiOperation("修改布控人员")
    int editPerson(TbBkRyInsertDto dto);

    @ApiOperation("删除和批量删除布控人员")
    int delPerson(List<String> ids);

    @ApiOperation("结束布控")
    int endBk(String id);

    @ApiOperation("重新布控")
    int startBk(String id);

    @ApiOperation("布控人员审批")
    int judge(TbBkRyJudgeDto dto);
}
